Index: oldkernel/linux/drivers/block/md.c
diff -u linux/drivers/block/md.c:1.2 linux/drivers/block/md.c:1.3
--- linux/drivers/block/md.c:1.2	Thu Jun  1 14:51:28 2000
+++ linux/drivers/block/md.c	Thu Jun  1 17:03:15 2000
@@ -2927,7 +2927,7 @@
 		}
 		err = mddev->pers->make_request(mddev, rw, bh);
 	} else {
-		make_request (MAJOR(bh->b_rdev), rw, bh);
+		make_request (bh->b_rdev, rw, bh);
 		err = 0;
 	}
 out:
Index: oldkernel/linux/drivers/block/raid1.c
diff -u linux/drivers/block/raid1.c:1.2 linux/drivers/block/raid1.c:1.3
--- linux/drivers/block/raid1.c:1.2	Thu Jun  1 14:51:28 2000
+++ linux/drivers/block/raid1.c	Thu Jun  1 17:03:15 2000
@@ -179,7 +179,7 @@
 		md_map (bh->b_rdev, &bh->b_rdev,
 				&bh->b_rsector, bh->b_size >> 9);
 	clear_bit(BH_Lock, &bh->b_state);
-	make_request (MAJOR (bh->b_rdev), rw, bh);
+	make_request (bh->b_rdev, rw, bh);
 }
 	
 static int raid1_make_request (mddev_t *mddev, int rw,
Index: oldkernel/linux/drivers/block/raid5.c
diff -u linux/drivers/block/raid5.c:1.2 linux/drivers/block/raid5.c:1.3
--- linux/drivers/block/raid5.c:1.2	Thu Jun  1 14:51:28 2000
+++ linux/drivers/block/raid5.c	Thu Jun  1 17:03:15 2000
@@ -1149,13 +1149,13 @@
 					clear_bit(BH_Lock, &bh->b_state);
 					if (!operational[i] && !conf->resync_parity) {
 						bh->b_rdev = conf->spare->dev;
-						make_request(MAJOR(conf->spare->dev), WRITE, bh);
+						make_request(conf->spare->dev, WRITE, bh);
 					} else {
 #if 0
-						make_request(MAJOR(conf->disks[i].dev), WRITE, bh);
+						make_request(conf->disks[i].dev, WRITE, bh);
 #else
 						if (!lowprio || (i==sh->pd_idx))
-							make_request(MAJOR(conf->disks[i].dev), WRITE, bh);
+							make_request(conf->disks[i].dev, WRITE, bh);
 						else {
 							mark_buffer_clean(bh);
 							raid5_end_request(bh,1);
@@ -1207,7 +1207,7 @@
 			if (buffer_uptodate(sh->bh_old[i]))
 				continue;
 		 	clear_bit(BH_Lock, &sh->bh_old[i]->b_state);
-			make_request(MAJOR(conf->disks[i].dev), READ, sh->bh_old[i]);
+			make_request(conf->disks[i].dev, READ, sh->bh_old[i]);
 		}
 	} else {
 		/*
@@ -1250,7 +1250,7 @@
 				if (lowprio)
 					mark_buffer_lowprio(sh->bh_old[i]);
 			 	clear_bit(BH_Lock, &sh->bh_old[i]->b_state);
-				make_request(MAJOR(conf->disks[i].dev), READ, sh->bh_old[i]);
+				make_request(conf->disks[i].dev, READ, sh->bh_old[i]);
 			}
 		} else {
 			sh->phase = PHASE_READ;
@@ -1264,7 +1264,7 @@
 					memcpy(sh->bh_new[i]->b_data, sh->bh_old[i]->b_data, sh->size);
 					continue;
 				}
-				make_request(MAJOR(conf->disks[i].dev), READ, sh->bh_req[i]);
+				make_request(conf->disks[i].dev, READ, sh->bh_req[i]);
 			}
 		}
 	}
